Bug 863298 - Switch shortcut does not work in GNOME ScreenLock
Switch shortcut does not work in GNOME ScreenLock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 22:27 EDT by sangu
Modified: 2013-12-23 23:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-23 23:41:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2012-10-04 22:27:52 EDT
Description of problem:
Switch shortcut does not work in GNOME ScreenLock

Version-Release number of selected component (if applicable):
1.4.99.20120914-2.fc18.x86_64


How reproducible:
always

Steps to Reproduce:
1. ctrl + alt + l (ScreenLock)
2. ctrl + space
3.
  
Actual results:


Expected results:


Additional info:
gnome-shell-3.6.0-1.fc18.x86_64
gnome-screensaver-3.6.0-1.fc18.x86_64
Comment 1 fujiwara 2012-10-05 00:17:40 EDT
Probably need to provide to switch XKB keymaps.
Comment 2 Rui Matos 2012-10-05 08:16:44 EDT
This is basically https://bugzilla.gnome.org/show_bug.cgi?id=643111 . It can't be fixed in a non hacky way for now so unfortunately you'll have to rely on the input source indicator on your panel to switch input source in the lock screen or in the overview.

We expect to have a proper framework to fix this for 3.8.
Comment 3 sangu 2013-02-08 03:11:26 EST
Fixed this bug in current rawhide (gnome-shell 3.7.5)
Comment 4 Fedora End Of Life 2013-12-21 04:02:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 fujiwara 2013-12-23 23:41:10 EST
Closing the bug with comment 3.

Note You need to log in before you can comment on or make changes to this bug.